# PWG

### What kind of data I will get

By using this integration, you can generate report about company. What you need is one of three identifiers:

* NIP
* REGON
* KRS number

In response, you will receive json based report with detailed information about the company, their status and financial status.

### Input

Query company data by nip

```json
{
  "nip": "5224158027"
}
```

Query company data by regon

```json
{
  "regon": "123123123"
}
```

Query company data by krs

```json
{
  "krs": "0000823971"
}
```

### Response Content

| Field                                    | Type   | Description                                                          |
| ---------------------------------------- | ------ | -------------------------------------------------------------------- |
| pwg.company.associates.company.id        | string | The ID of the associated company                                     |
| pwg.company.associates.company.name      | string | The name of the associated company                                   |
| pwg.company.associates.company.surname   | string | The surname of the associated company                                |
| pwg.company.associates.company.pesel     | string | The Personal Identification Number (PESEL) of the associated company |
| pwg.company.associates.company.role      | string | The role of the associated company                                   |
| pwg.company.associates.company.position  | string | The position of the associated company                               |
| pwg.company.associates.company.startDate | string | The date when the associated company started                         |
| pwg.company.associates.company.endDate   | string | The date when the associated company ended                           |

| Field                                    | Type   | Description                                      |
| ---------------------------------------- | ------ | ------------------------------------------------ |
| pwg.company.shareholders.id              | string | The ID of the shareholder                        |
| pwg.company.shareholders.name            | string | The name of the shareholder                      |
| pwg.company.shareholders.pesel           | string | The PESEL of the shareholder                     |
| pwg.company.shareholders.firstName       | string | The first name of the shareholder                |
| pwg.company.shareholders.amount          | float  | The amount of shares held by the shareholder     |
| pwg.company.shareholders.value           | float  | The value of the shares held by the shareholder  |
| pwg.company.shareholders.sharePercentage | string | The percentage of shares held by the shareholder |
| pwg.company.shareholders.type            | string | The type of the shareholder                      |

| Field                     | Type   | Description                             |
| ------------------------- | ------ | --------------------------------------- |
| pwg.company.mainPkds.name | string | The name of the main PKD of the company |
| pwg.company.mainPkds.pkdn | string | The PKDN of the main PKD of the         |

#### Example response

```json
{
    "pwg":{
        "company":{
            "id":"8614186",
            "krs":"",
            "nip":"7562538162",
            "regon":"9574625182",
            "status":"aktywna",
            "name":"A & B Consulting Tadeusz Kowalski",
            "legalForm":"Działalność gospodarcza",
            "registryDate":"2017-01-01",
            "address":"ul. Partyzantów",
            "city":"Sulejówek",
            "number":"65",
            "local":"32",
            "postalCode":"15251",
            "capital":"23.02",
            "hiredCount":1,
            "vatAccountNumbers":[
                "3214020041004360276142699"
            ],
            "accountNumbers":[
                "23114020040000360276642699"
            ],
            "associates":{
                "company":[
                    {
                        "id":"8302539",
                        "name":"Tadeusz",
                        "surname":"Kowalski",
                        "pesel":"95746283721",
                        "role":"dg",
                        "position":"Właściciel",
                        "startDate":"2017-01-01",
                        "endDate":"9999-12-31"
                    }
                ]
            },
            "shareholders":[
                {
                    "id":"12312541",
                    "name":"PNIEWSKI",
                    "pesel":"76857463839",
                    "firstName":"TADEUSZ KAMIL",
                    "amount":1392.00,
                    "value":92200.00,
                    "sharePercentage":"54.74",
                    "type":"person"
                },
                {
                    "id":"421312312",
                    "krs":"",
                    "regon":"",
                    "name":"FUNDING GLOBAL",
                    "firstName":"",
                    "amount":253.00,
                    "value":2450.00,
                    "sharePercentage":"18.91",
                    "type":"firma"
                },
                {
                    "id":"0",
                    "name":"Niezarejestrowani",
                    "firstName":"",
                    "amount":0,
                    "value":33500,
                    "sharePercentage":"26.35",
                    "type":"niezarejestrowani"
                }
            ],
            "mainPkds":[
                {
                    "name":"Działalność związana z doradztwem w zakresie informatyki",
                    "pkdn":"6202Z"
                }
            ]
        }
    },
    "rawResponses":{
        "pwg":{
            "company":{
                "result":{
                    "fun":"getfull",
                    "mod":"firma",
                    "data":{
                        "id":8614186,
                        "krs":"",
                        "nip":"7562538162",
                        "regon":"9574625182",
                        "nazwa":"A & B Consulting Tadeusz Kowalski",
                        "status":"aktywna",
                        "data_zakonczenia":"",
                        "data_rejestracji":"2017-01-01",
                        "forma_pr":"dg",
                        "forma_pr_txt":"Działalność gospodarcza",
                        "adres":"ul. Partyzantów",
                        "miasto":"Sulejówek",
                        "numer":"65",
                        "lokal":"32",
                        "kod_pocztowy":"15251",
                        "poczta":"Sulejówek",
                        "powiat":"miński",
                        "wojew":"Mazowieckie",
                        "kapital":"23.02",
                        "liczba_zatrud":"1",
                        "last_update":"2022-03-22 16:50:56",
                        "konta_bankowe_vat":{
                            "data":"2019-09-02",
                            "status":"Czynny",
                            "numery_kont":[
                                "3214020041004360276142699"
                            ]
                        },
                        "konta_bankowe":[
                            "23114020040000360276642699"
                        ],
                        "sudop":{
                            
                        },
                        "phone":[
                            
                        ],
                        "www":[
                            
                        ],
                        "email":[
                            
                        ],
                        "alerty":{
                            "adresy_pow_ilosc":0
                        },
                        "zalezne":[
                            
                        ],
                        "aktywnosc":[
                            
                        ],
                        "zarzad_nazwa_organu":[
                            
                        ],
                        "zarzad_sposob_reprezentacji":[
                            
                        ],
                        "likwidacje":[
                            
                        ],
                        "zawieszenia":[
                            
                        ],
                        "post_ukladowe":[
                            
                        ],
                        "rozw_unie":[
                            
                        ],
                        "rest_napr":[
                            
                        ],
                        "kurator":[
                            
                        ],
                        "upadlosc":[
                            
                        ],
                        "zaleglosci":[
                            
                        ],
                        "wierzytelnosci":[
                            
                        ],
                        "egzekucje":[
                            
                        ],
                        "okolicznosci_powstania":[
                            
                        ],
                        "opis_sposobu_powstania":[
                            
                        ],
                        "informacje_o_statucie":[
                            
                        ],
                        "przeksztalcenia":[
                            
                        ],
                        "zarzad_komis":[
                            
                        ],
                        "wzmianki":[
                            
                        ],
                        "kapital_zakladowy":"",
                        "kapital_docelowy":"",
                        "liczba_emisji_akcji":"",
                        "wartosc_akcji_nominalna":"",
                        "kapital_wplacony":"",
                        "warunkowe_podwyzszenie_nominal":"",
                        "kapital_zakladowy_kwota":"",
                        "kapital_zakladowy_nominal":"",
                        "aport_udzialy":[
                            
                        ],
                        "krs_rok_obrotowy":"",
                        "oddzialy":[
                            
                        ],
                        "udzialowcy":[
                            {
                                "id":"12312541",
                                "nazwa":"PNIEWSKI",
                                "pesel":"76857463839",
                                "imie":"TADEUSZ KAMIL",
                                "ilosc":"1392.00",
                                "wartosc":"92200.00",
                                "procent":"54.74",
                                "typ":"person"
                            },
                            {
                                "id":"421312312",
                                "nazwa":"FUNDING GLOBAL",
                                "krs":"",
                                "regon":"",
                                "imie":"",
                                "ilosc":"253.00",
                                "wartosc":"2450.00",
                                "procent":"18.91",
                                "typ":"firma"
                            },
                            {
                                "id":0,
                                "nazwa":"Niezarejestrowani",
                                "imie":"",
                                "ilosc":0,
                                "wartosc":33500,
                                "procent":"26.35",
                                "typ":"niezarejestrowani"
                            }
                        ],
                        "zawieszenie_ceidg":"",
                        "main_pkd":"6202Z",
                        "pkd":"6202Z 4799Z 6399Z 6619Z 6621Z 6810Z 6920Z 7021Z 7022Z 7311Z 7312A 7312B 7312C 7312D 7320Z 7430Z",
                        "main_pkd_txt":[
                            {
                                "name":"Działalność związana z doradztwem w zakresie informatyki",
                                "pkdn":"6202Z"
                            }
                        ],
                        "pkd_txt":[
                            {
                                "name":"Pozostała sprzedaż detaliczna prowadzona poza siecią sklepową, straganami i targowiskami",
                                "pkdn":"4799Z"
                            },
                            {
                                "name":"Działalność związana z doradztwem w zakresie informatyki",
                                "pkdn":"6202Z"
                            },
                            {
                                "name":"Pozostała działalność usługowa w zakresie informacji, gdzie indziej niesklasyfikowana",
                                "pkdn":"6399Z"
                            },
                            {
                                "name":"Pozostała działalność wspomagająca usługi finansowe, z wyłączeniem ubezpieczeń i funduszów emerytalnych",
                                "pkdn":"6619Z"
                            },
                            {
                                "name":"Działalność związana z oceną ryzyka i szacowaniem poniesionych strat",
                                "pkdn":"6621Z"
                            },
                            {
                                "name":"Kupno i sprzedaż nieruchomości na własny rachunek",
                                "pkdn":"6810Z"
                            },
                            {
                                "name":"Działalność rachunkowo-księgowa; doradztwo podatkowe",
                                "pkdn":"6920Z"
                            },
                            {
                                "name":"Stosunki międzyludzkie (public relations) i komunikacja",
                                "pkdn":"7021Z"
                            },
                            {
                                "name":"Pozostałe doradztwo w zakresie prowadzenia działalności gospodarczej i zarządzania",
                                "pkdn":"7022Z"
                            },
                            {
                                "name":"Działalność agencji reklamowych",
                                "pkdn":"7311Z"
                            },
                            {
                                "name":"Pośrednictwo w sprzedaży czasu i miejsca na cele reklamowe w radio i telewizji",
                                "pkdn":"7312A"
                            },
                            {
                                "name":"Pośrednictwo w sprzedaży miejsca na cele reklamowe w mediach drukowanych",
                                "pkdn":"7312B"
                            },
                            {
                                "name":"Pośrednictwo w sprzedaży miejsca na cele reklamowe w mediach elektronicznych (Internet)",
                                "pkdn":"7312C"
                            },
                            {
                                "name":"Pośrednictwo w sprzedaży miejsca na cele reklamowe w pozostałych mediach",
                                "pkdn":"7312D"
                            },
                            {
                                "name":"Badanie rynku i opinii publicznej",
                                "pkdn":"7320Z"
                            },
                            {
                                "name":"Działalność związana z tłumaczeniami",
                                "pkdn":"7430Z"
                            }
                        ],
                        "angaz":{
                            "firma":[
                                {
                                    "id":"8302539",
                                    "name":"Tadeusz",
                                    "surname":"Kowalski",
                                    "pesel":"95746283721",
                                    "rola":"dg",
                                    "stanowisko":"Właściciel",
                                    "start":"2017-01-01",
                                    "koniec":"9999-12-31"
                                }
                            ]
                        },
                        "finance":[
                            
                        ]
                    }
                }
            }
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/pwg.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
